/*!
// @file		stringext.h
//
// @brief		Extended string class
//
// @version		Mailit for C/C++ 1.0 sample file
//
// @author		(C) 2007 Dacons LLP.
//
// @bug			If you have problems or suggestions, please contact
//				the Online Support at: http://www.dacons.net/support
*/

/*!
// @class	NSStringExt
// @brief	Extended class for NSString.
 */
@interface NSString (NSStringExt)
/*!
// @brief	Unicode conversion function.
//
// @return	return unicode string
	*/
- (const unichar *)uniString;
@end

