/*
// File:		SmtpCallback.hpp
//
// Version:		mail.it library 1.0 sample file
//
// Copyright:	(C) 2006 Dacons LLP.
//
// Bugs:		If you have problems or suggestions, please contact
//				the Online Support at: http://www.dacons.net/support
*/

#ifndef __SMTPCALLBACK_HPP__
#define __SMTPCALLBACK_HPP__

#include <EmaiSmtp.hpp>

class SmtpCallback : public Emai::SmtpStatusCallback
{

	virtual EmaiError					OnOperation(
												Emai::SmtpSession& inSession,
												EmaiUint32 inOperationCode);

	virtual EmaiError					OnDataSent(
												Emai::SmtpSession& inSession,
												EmaiUint32 inSentSize,
												EmaiUint32 inTotalSize);
	virtual EmaiError					OnServerError(
												Emai::SmtpSession& inSession,
												EmaiConstCharPtr inServerReply,
												EmaiUint32 inReplyCode);
public:
};


#endif /*__SMTPCALLBACK_HPP__*/
